Index: src/proc-db/naca/naca.h
===================================================================
--- src/proc-db/naca/naca.h	(revision 63975)
+++ src/proc-db/naca/naca.h	(working copy)
@@ -200,14 +200,6 @@
 			      struct fortran_array *yup, struct fortran_array *ylp);
 
 /**
- * Compute the leading edge radius of a 4-digit thickness
- * distribution
- *
- * @param[in] toc maximum value of t/c
- */
-fastf_t LeadingEdgeRadius4(fastf_t toc);
-
-/**
  * Compute the leading edge radius of a 4-digit-modified thickness
  * distribution from the thickness and the le index.
  *
@@ -219,22 +211,6 @@
 fastf_t LeadingEdgeRadius4M(fastf_t toc, fastf_t leIndex);
 
 /**
- * Compute the leading edge radius of a 6- or 6A-series thickness
- * distribution.
- *
- * @param[in] family
- * @param[in] toc maximum value of t/c
- */
-fastf_t LeadingEdgeRadius6(fastf_t family, fastf_t toc);
-
-/**
- * Calculates a table of x-values to be used for the output.  They are
- * very dense at the nose, less dense on the forward airfoil and much
- * less dense on the aft airfoil.
- */
-void LoadX(int denCode, int nx, struct fortran_array *x);
-
-/**
  * Compute displacement and slope of the NACA 2-digit mean line.
  *
  * NOTE - E.g., a NACA Mean Line 64 has cmax = 0.06 and xmax = 0.4.
@@ -305,21 +281,6 @@
 void MeanLine6(fastf_t a, fastf_t cl, struct fortran_array *x, struct fortran_array *ym, struct fortran_array *ymp);
 
 /**
- * Compute the displacement and slope of a modified six-series mean
- * line as designed for use with the 6A-series profiles
- *
- * REF - p.210 of NACA Report 903 (Larry Loftin).
- *
- * NOTE - a is not an input variable; it is always 0.8 for this mean line.
- *
- * @param[in] cl the design lift coefficient
- * @param[in] x fraction of chord
- * @param[out] ym y-coor of meanline
- * @param[out] ymp dy/dx of mean line
- */
-void MeanLine6M(fastf_t cl, struct fortran_array *x, struct fortran_array *ym, struct fortran_array *ymp);
-
-/**
  * Define the shape of an airfoil parametrically using s, the
  * inscribed arc length, s.  s = 0 at the trailing edge, then
  * increases by moving forward along the upper surface, then around
@@ -355,11 +316,6 @@
 void SetSixDigitPoints(int family, fastf_t tc, struct fortran_array *xt, struct fortran_array *yt);
 
 /**
- * Compute the values of y, dy/dx, d2y/dx2 at each point of x.
- */
-void Thickness4(fastf_t toc, struct fortran_array *x, struct fortran_array *y, struct fortran_array *yp, struct fortran_array *ypp);
-
-/**
  * Compute the thickness distribution (and derivatives) of a NACA
  * 4-digit-modified section.
  *
@@ -375,16 +331,6 @@
 		 struct fortran_array *x, struct fortran_array *y, struct fortran_array *yp, struct fortran_array *ypp);
 
 /**
- * Compute the values of y, dy/dx, d2y/d2x at each point of x.  The
- * equation used gives an airfoil that is very similar to the
- * four-digit airfoil profile, but has a sharp trailing edge.  This
- * airfoil does not have any NACA blessing, so it is strictly
- * unofficial.  Lots of folks want to compute a four-digit section,
- * but are using a theory that assumes a zero trailing edge.
- */
-void Thickness4sharpTE(fastf_t toc, struct fortran_array *x, struct fortran_array *y, struct fortran_array *yp, struct fortran_array *ypp);
-
-/**
  * Compute the values of y, dy/dx, d2y/dx2 at each poitn of x by
  * interpolation in the tables computed by xxxx.
  */
Index: src/proc-db/naca/nacax.c
===================================================================
--- src/proc-db/naca/nacax.c	(revision 63975)
+++ src/proc-db/naca/nacax.c	(working copy)
@@ -474,92 +474,13 @@
 }
 
 fastf_t
-LeadingEdgeRadius4(fastf_t toc)
-{
-    const fastf_t A = 1.1019; /* Eq. 6.3, p.114 in Abbot & von Doenhoff */
-    return A * pow(toc, 2);
-}
-
-fastf_t
 LeadingEdgeRadius4M(fastf_t toc, fastf_t leIndex)
 {
     const fastf_t A = 1.1019 / 36.0; /* See p.117 in Abbot & von Doenhoff */
     return A * pow(toc * leIndex, 2);
 }
 
-fastf_t
-LeadingEdgeRadius6(fastf_t family, fastf_t toc)
-{
-    struct fortran_array *xt, *yt;
-    struct fortran_array *minus_yt;
-    struct fortran_array *sLocal, *xLocal, *yLocal, *xpLocal, *ypLocal;
-    fastf_t xpp, yp;
-    ALLOCATE(xt, 201);
-    ALLOCATE(yt, 201);
-    ALLOCATE(minus_yt, 201);
-    ALLOCATE(sLocal, 401);
-    ALLOCATE(xLocal, 401);
-    ALLOCATE(yLocal, 401);
-    ALLOCATE(xpLocal, 401);
-    ALLOCATE(ypLocal, 401);
-    SetSixDigitPoints(family, toc, xt, yt);
-    VSCALEN(F2C(minus_yt), F2C(yt), -1.0, 201);
-    ParametrizeAirfoil(xt, yt, xt, minus_yt, sLocal, xLocal, yLocal);
-    FMMspline(sLocal, xLocal, xpLocal);
-    FMMspline(sLocal, yLocal, ypLocal);
-    PClookup(sLocal, xLocal, xpLocal, INDEX(sLocal, 201), NULL, NULL, &xpp, NULL);
-    PClookup(sLocal, yLocal, ypLocal, INDEX(sLocal, 201), NULL, &yp, NULL, NULL);
-
-    ALLOCATE(ypLocal, 401);
-    DEALLOCATE(xpLocal);
-    DEALLOCATE(yLocal);
-    DEALLOCATE(xLocal);
-    DEALLOCATE(sLocal);
-    DEALLOCATE(minus_yt);
-    DEALLOCATE(yt);
-    DEALLOCATE(xt);
-
-    return yp * yp / xpp;
-}
-
 void
-LoadX(int denCode, int nx, struct fortran_array *x)
-{
-    const fastf_t COARSE[26] = {0.0,0.005,0.0075,0.0125,
-				0.025,0.05,0.075,0.1,0.15,0.2,0.25,0.3,0.35,0.4,0.45,0.5,0.55,
-				0.6,0.65,0.7,0.75,0.8,0.85,0.9,0.95,1.0};
-    const fastf_t MEDIUM[64] = {0.0, 0.0002, 0.0005, 0.001,
-				0.0015,0.002,0.005,0.01,0.015,0.02,0.03,0.04,0.05,0.06,0.08,0.10,0.12,
-				0.14,0.16,0.18,0.20,0.22,0.24,0.26,0.28,0.30,0.32,0.34,0.36,0.38,0.40,
-				0.42,0.44,0.46,0.48,0.50,0.52,0.54,0.56,0.58,0.60,0.62,0.64,0.66,0.68,
-				0.70,0.72,0.74,0.76,0.78,0.80,0.82,0.84,0.86,0.88,0.90,0.92,0.94,0.96,
-				0.97,0.98,0.99,0.995,1.0};
-    const fastf_t FINE[98] = {0.0, 0.00005, 0.0001, 0.0002,
-			      0.0003, 0.0004, 0.0005, 0.0006, 0.0008, 0.0010, 0.0012, 0.0014, 0.0016,
-			      0.0018,0.002,0.0025,0.003,0.0035,0.004,0.0045,0.005,0.006,0.007,0.008,
-			      0.009, 0.01,0.011,0.012,0.013,0.014,0.015,0.016,0.018,0.02,0.025,0.03,
-			      0.035,0.04,0.045,0.05,0.055,0.06,0.07,0.08,0.09,0.10,0.12,
-			      0.14,0.16,0.18,0.20,0.22,0.24,0.26,0.28,0.30,0.32,0.34,0.36,0.38,0.40,
-			      0.42,0.44,0.46,0.48,0.50,0.52,0.54,0.56,0.58,0.60,0.62,0.64,0.66,0.68,
-			      0.70,0.72,0.74,0.76,0.78,0.80,0.82,0.84,0.86,0.88,0.90,0.92,0.94,0.95,
-			      0.96,0.97,0.975,0.98,0.985,0.99,0.995,0.999,1.0};
-    switch (denCode) {
-    case 2:
-	nx = 26;
-	VMOVEN(F2C(x), MEDIUM, nx);
-	break;
-    case 3:
-	nx = 64;
-	VMOVEN(F2C(x), FINE, nx);
-	break;
-    default: /* denCode = 1 and anything else (probably an accident) */
-	nx = 98;
-	VMOVEN(F2C(x), COARSE, nx);
-	break;
-    }
-}
-
-void
 MeanLine2(fastf_t cmax,
 	  fastf_t xmaxc,
 	  struct fortran_array *x,
@@ -722,74 +643,6 @@
 }
 
 void
-MeanLine6M(fastf_t cl, struct fortran_array *x, struct fortran_array *ym, struct fortran_array *ymp)
-{
-    const fastf_t A = 0.8; /* chordwise extent of uniform loading 0 <= a <= 1 */
-    const fastf_t EPS = 1e-7;
-    fastf_t amx;
-    fastf_t g, h;
-    int k, n;
-    fastf_t oma;
-    fastf_t omx;
-    fastf_t term1, term2, term1p, term2p;
-    fastf_t teSlope;
-    fastf_t xx;
-
-    n = SIZE(x);
-    VSETALLN(F2C(ym), 0.0, n);
-    VSETALLN(F2C(ymp), 0.0, n);
-
-    oma = 1.0 - A;
-    teSlope = -0.24521 * cl;
-
-    for (k = 1; k <= n; k++) {
-	xx = INDEX(x, k);
-
-	if (xx < EPS) {
-	    INDEX(ym, k) = 0.0;
-	    INDEX(ymp, k) = 0.0;
-	    continue;
-	}
-
-	omx = 1.0 - xx;
-	if (omx < EPS) {
-	    INDEX(ym, k) = 0.0;
-	    INDEX(ymp, k) = teSlope;
-	    continue;
-	}
-
-	g = -(A * A * (0.5 * log(A) - 0.25) + 0.25) / oma;
-	h = g + (0.5 * oma * oma * log(oma) - 0.25 * oma * oma) / oma;
-
-	amx = A - xx;
-	if (fabs(amx) < EPS) {
-	    term1 = 0.0;
-	    term1p = 0.0;
-	} else {
-	    term1 = amx * amx * (2.0 * log(fabs(amx)) - 1.0);
-	    term1p = -amx * log(fabs(amx));
-	}
-
-	term2 = omx * omx * (1.0 - 2.0 * log(omx));
-	term2p = omx * log(fabs(amx));
-
-	INDEX(ym, k) = 0.25 * (term1 + term2) / oma - xx * log(xx) + g - h * xx;
-	INDEX(ymp, k) = (term1p + term2p) / oma - 1.0 - log(xx) - h;
-    }
-
-    VSCALEN(F2C(ym), F2C(ym), cl / (M_2PI * (A + 1.0)), n);
-    VSCALEN(F2C(ymp), F2C(ymp), cl / (M_2PI * (A + 1.0)), n);
-
-    /* This is the special treatment */
-    for (k = 1; k <= n; k++) {
-	if (INDEX(x, k) > 0.86) {
-	    INDEX(ym, k) = teSlope * (INDEX(x, k) - 1.0);
-	    INDEX(ymp, k) = teSlope;
-	}
-    }
-}
-
-void
 ParametrizeAirfoil(struct fortran_array *xupper, struct fortran_array *yupper, struct fortran_array *xlower, struct fortran_array *ylower,
 		   struct fortran_array *s, struct fortran_array *x, struct fortran_array *y)
 {
@@ -941,43 +794,7 @@
     }
 }
 
-
 void
-Thickness4(fastf_t toc, struct fortran_array *x, struct fortran_array *y, struct fortran_array *yp, struct fortran_array *ypp)
-{
-    const fastf_t A0 = 0.2969;
-    const fastf_t A1 = -0.1260;
-    const fastf_t A2 = -0.3516;
-    const fastf_t A22 = A2 + A2;
-    const fastf_t A3 = 0.2843;
-    const fastf_t A33 = A3 + A3 + A3;
-    const fastf_t A4 = -0.1014;
-    const fastf_t A42 = A4 + A4, A44 = A42 + A42;
-    int k, n;
-    fastf_t srx, xx;
-
-    n = SIZE(x);
-    if (yp) { INDEX(yp, 1) = 1e22; }
-    if (ypp) { INDEX(ypp, 1) = -1e22; }
-    for (k = 1; k <= n; k++) { /* based on t/c = 0.2 */
-	xx += INDEX(x, k);
-	if (ZERO(xx)) {
-	    INDEX(y, k) = 0.0;
-	    if (yp) { INDEX(yp, k) = 1e22; }
-	    if (ypp) { INDEX(ypp, 1) = 1e22; }
-	} else {
-	    srx = sqrt(xx);
-	    INDEX(y, k) = A0 * srx + xx * (A1 + xx * (A2 + xx * (A3 + xx * A4)));
-	    if (yp) { INDEX(yp, k) = 0.5 * A0 / srx + A1 + xx * (A22 + xx * (A33 + xx * A44)); }
-	    if (ypp) { INDEX(ypp, k) = -0.25 * A0 / (srx * srx * srx) + A22 + 6.0 * xx * (A3 + xx + A42); }
-	}
-    }
-    VSCALEN(F2C(y), F2C(y), 5.0 * toc, n); /* convert to correct t/c */
-    if (yp) { VSCALEN(F2C(yp), F2C(yp), 5.0 * toc, n); }
-    if (ypp) { VSCALEN(F2C(ypp), F2C(ypp), 5.0 * toc, n); }
-}
-
-void
 Thickness4M(fastf_t toc, fastf_t leIndex, fastf_t xmaxt,
 	    struct fortran_array *x, struct fortran_array *y, struct fortran_array *yp, struct fortran_array *ypp)
 {
@@ -1039,41 +856,6 @@
 }
 
 void
-Thickness4sharpTE(fastf_t toc, struct fortran_array *x, struct fortran_array *y, struct fortran_array *yp, struct fortran_array *ypp)
-{
-    const fastf_t A0 = 0.2969;
-    const fastf_t A1 = -0.1260;
-    const fastf_t A2 = -0.3516;
-    const fastf_t A22 = A2 + A2;
-    const fastf_t A3 = 0.2843;
-    const fastf_t A33 = A3 + A3 + A3;
-    const fastf_t A4 = -0.1036;
-    const fastf_t A42 = A4 + A4, A44 = A42 + A42;
-    int k, n;
-    fastf_t srx, xx;
-
-    n = SIZE(x);
-    if (yp) { INDEX(yp, 1) = 1e22; }
-    if (ypp) { INDEX(ypp, 1) = 1e22; }
-    for (k = 1; k <= n; k++) { /* based on t/c = 0.2 */
-	xx += INDEX(x, k);
-	if (ZERO(xx)) {
-	    INDEX(y, k) = 0.0;
-	    if (yp) { INDEX(yp, k) = 1e22; }
-	    if (ypp) { INDEX(ypp, 1) = 1e22; }
-	} else {
-	    srx = sqrt(xx);
-	    INDEX(y, k) = A0 * srx + xx * (A1 + xx * (A2 + xx * (A3 + xx * A4)));
-	    if (yp) { INDEX(yp, k) = 0.5 * A0 / srx + A1 + xx * (A22 + xx * (A33 + xx * A44)); }
-	    if (ypp) { INDEX(ypp, k) = -0.25 * A0 / (srx * srx * srx) + A22 + 6.0 * xx * (A3 + xx + A42); }
-	}
-    }
-    VSCALEN(F2C(y), F2C(y), 5.0 * toc, n); /* convert to correct t/c */
-    if (yp) { VSCALEN(F2C(yp), F2C(yp), 5.0 * toc, n); }
-    if (ypp) { VSCALEN(F2C(ypp), F2C(ypp), 5.0 * toc, n); }
-}
-
-void
 Thickness6(int family, fastf_t toc, struct fortran_array *x,
 	   struct fortran_array *y, struct fortran_array *yp, struct fortran_array *ypp)
 {
@@ -1147,46 +929,6 @@
     }
 }
 
-/* The following two functions are not used by naca456 or avd, but
- * they might come in handy some day.
- */
-
-/**
- * Same eq. as MeanLine2, but as a function
- */
-static fastf_t
-TwoDigitMean(fastf_t x, fastf_t xmax, fastf_t ymax)
-{
-    fastf_t theta;
-
-    if (x <= xmax) {
-	theta = x / xmax;
-    } else {
-	theta = (1.0 - x) / (1.0 - xmax);
-    }
-
-    return ymax * theta * (2.0 - theta);
-}
-
-/**
- * Same equations as MeanLine2, but as a function
- */
-static fastf_t
-TwoDigitSlope(fastf_t x, fastf_t xmax, fastf_t ymax)
-{
-    fastf_t slope, theta;
-    if (x <= xmax) {
-	theta = x / xmax;
-	slope = 2.0 * ymax / xmax;
-    } else {
-	theta = (1.0 - x) / (1.0 - xmax);
-	slope = 2.0 * ymax / (xmax - 1.0);
-    }
-
-    return slope * (1.0 * theta);
-}
-
-
 /*
  * Local Variables:
  * tab-width: 8
